| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_linrcverror Struct Reference

Header for a BLF LIN receive error event object (legacy format). More...

`#include <blf.h>`

## Public Attributes
uint16_t | channel
uint8_t | id
uint8_t | dlc
uint8_t | fsmId
uint8_t | fsmState
uint8_t | headerTime
uint8_t | fullTime
uint8_t | stateReason
uint8_t | offendingByte
uint8_t | shortError
uint8_t | timeoutDuringDlcDetection

## Detailed Description

Header for a BLF LIN receive error event object (legacy format).

## Member Data Documentation

## ◆ channel

uint16_t blf_linrcverror::channel

Logical LIN channel number on which the error was observed.

## ◆ dlc

uint8_t blf_linrcverror::dlc

Data Length Code of the frame at the time of the error.

## ◆ fsmId

uint8_t blf_linrcverror::fsmId

Identifier of the finite state machine instance that processed this frame.

## ◆ fsmState

uint8_t blf_linrcverror::fsmState

State of the finite state machine at the time the error occurred.

## ◆ fullTime

uint8_t blf_linrcverror::fullTime

Total duration of the LIN frame up to the error in bit times.

## ◆ headerTime

uint8_t blf_linrcverror::headerTime

Duration of the LIN header in bit times.

## ◆ id

uint8_t blf_linrcverror::id

LIN frame identifier (0–63) of the frame that produced the error.

## ◆ offendingByte

uint8_t blf_linrcverror::offendingByte

Value of the byte that caused the receive error, if applicable.

## ◆ shortError

uint8_t blf_linrcverror::shortError

Non-zero if a short (dominant) error was detected on the bus.

## ◆ stateReason

uint8_t blf_linrcverror::stateReason

Reason code describing why the receive error state was entered.

## ◆ timeoutDuringDlcDetection

uint8_t blf_linrcverror::timeoutDuringDlcDetection

Non-zero if a timeout occurred while detecting the DLC.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h